#!/bin/csh -f

set station_file = 'insitu/nomad_ocbam_rrs_a_b_v2.txt'
set station_index = ( `gawk '$1!~/^#/{print $2;}' $station_file` )

foreach station($station_index)
   set alldata = ( `gawk -vid=$station '$2==id&&$1!~/^#/{ print $0; }' $station_file` )
   set line = ( `gawk -vid=$station '$2==id&&$1!~/^#/{ print $1,$2,$3,$4,$5,$6,$7,$8,3.1415927*$9,3.1415927*$10,3.1415927*$11,3.1415927*$12,3.1415927*$13,3.1415927*$14; }' $station_file` )
   set month = $line[4]
   set day = $line[5]
   set year = $line[3]
   set jday = `julian -zeros $day $month $year`
   set lat = $line[6]
   set lon = $line[7]
   set gmt = $line[8]
   set rhw412 = $line[9]
   set rhw443 = $line[10]
   set rhw490 = $line[11]
   set rhw510 = $line[12]
   set rhw555 = $line[13]
   set rhw670 = $line[14]
   set sun_theta = `sun_angle $lat $lon $year $jday $gmt`
   #echo "pml_iop_model -sun_theta $sun_theta -rhow $rhw412 $rhw443 $rhw490 $rhw510 $rhw555 $rhw670"
   set result = `pml_iop_model -sun_theta $sun_theta -rhow $rhw412 $rhw443 $rhw490 $rhw510 $rhw555 $rhw670`
   echo $alldata $result
end

exit(0)

